## pkgbinarymangler 104

=== debian/changelog ===
pkgbinarymangler (104) oneiric; urgency=low

  * Add libapt-pkg* and libapt-inst* to the blacklist. LP: #855085

 -- Gabor Kelemen <kelemeng@ubuntu.com>  Thu, 22 Sep 2011 09:02:30 +0200

pkgbinarymangler (103) oneiric; urgency=low

  * debian/control: Drop Vcs-Bzr:, using ubuntu:pkgbinarymangler branch now
    (existing history was pushed there).
  * test/run: Add test_mallard_help() test case for the new-style
    /usr/share/help layout. Reproduces LP#841340.
  * pkgstriptranslations: Strip/symlink/save Mallard-style
    /usr/share/help/<locale>/<project>/ files. (LP: #841340)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Sep 2011 11:44:58 +0200

pkgbinarymangler (102) oneiric; urgency=low

  * test/icecream/debian/rules, test/icecream/Makefile: Install PNGs with some
    defined permissions.
  * test/run, check_deb_integrity(): Verify that PNG permissions in the final
    debs are as they are expected to be.
  * pkgstripfiles: Restore permissions of optimized PNG files to their
    original value; advpng does not preserve them. (LP: #817792)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 21 Aug 2011 21:13:59 +0200

pkgbinarymangler (101) oneiric; urgency=low

  * pkgstriptranslations: Run apt-cache under env -u LD_PRELOAD to avoid
    running it under fakeroot. This now fails since fakeroot 1.16.1 (see
    Debian #629956 and Debian #630591).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Jun 2011 14:48:23 +0200

pkgbinarymangler (100) oneiric; urgency=low

  * test/run: Add forgotten check_deb_integrity() to documentation symlink
    tests. This catches the wrong md5sums of symlinked doc files.
  * pkgstripfiles: Remove doc files from md5sums which get replaced with a
    symlink. (LP: #795845)
  * test/run: Call check_deb_integrity() in build(), and remove the explicit
    call from all the individual tests. There is no situation where we expect
    broken debs to be created, so this saves us from accidentally forgetting
    to call it in newly created tests.
  * test/run: Drop separate check_translation_tarball() test, and integrate it
    into check_deb_mo(). We now want to move to only building translation
    tarballs for packages which we actually strip, so it does not make sense
    any more to check those two individually.
  * pkgstriptranslations: Do not build a translation tarball if we did not
    strip the packages. With that, Launchpad does not need to check the
    component of the package any more, but can just import everything we throw
    at it. This also allows us to put some selected universe packages under
    langpack support. (LP: #788685, part 1)
  * pkgstriptranslations: Force stripping and translation tarball build if
    debian/control has "X..-Ubuntu-Use-Langpack: yes" header. Add
    corresponding test case. (LP: #788685, part 2)
  * test/run: Fix ResourceWarnings for unclosed files. Python 3, you are
    overly picky!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Jun 2011 09:08:54 +0200

pkgbinarymangler (99) oneiric; urgency=low

  * dh-translations:
    - support CMake projects having a make .pot target with GETTEXT_PACKAGE

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 25 May 2011 20:30:04 +0200

pkgbinarymangler (98) oneiric; urgency=low

  * pkgstriptranslations: Don't break the build on empty po/pot files.
    Instead, just print a warning and exclude them from the translation
    tarball. Add corresponding test case.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 May 2011 16:42:50 +0200

pkgbinarymangler (97) oneiric; urgency=low

  * test/run, test_dh_translations_no_domain(): Explicitly specify UTF-8
    encoding for the opened files, so that the test case also succeeds with
    Python 3 under a C locale (such as on the buildds).
  * pkgstripfiles: Update dependency parsing code to adapt to the changed
    behavior of "split" in Perl 5.12.
  * debian/control: Bump Standards-Version to 3.9.2. No changes needed.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 May 2011 10:57:53 +0200

pkgbinarymangler (96) oneiric; urgency=low

  * pkgstripfiles: Symlink identical documentation to depending packages. This
    was ported from cdbs' debhelper.mk, but makes more sense here because more
    packages use dh7 these days, we want to reduce the cdbs delta to Debian,
    and we want to centralize all our Ubuntu specific package mangling to one
    place to reduce confusion. This can be suppressed by setting
    $NO_DOC_PKG_MANGLE, or $CDBS_NO_DOC_SYMLINKING for backwards
    compatibility. (First part of LP #595008)
  * pkgstriptranslations: Symlink identical GNOME help files (which often
    happens for images which are just copied verbatim from C, but are not
    actually translated). In the new test case for this also check that the
    static translation tarball is correct. This provides another Ubuntu
    specific general packaging change which previously was done in cdbs'
    debhelper.mk. (LP: #595008)
  * pkgstripfiles: Break down into separate functions, to make the code easier
    to read and maintain.
  * test/run: Simplify code with recently introduced sed_control() helper
    method.
  * test/run: Replace obsolete assert_() and failIf() calls with assertTrue()
    and assertFalse().
  * test/run, test/pickle_argv: Port to Python 3. Change build dependency from
    python to python3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 May 2011 09:59:01 +0200

=== test/icecream/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with translations

override_dh_fixperms:
	dh_fixperms -X*.png

override_dh_install:
	dh_install
	dh_buildinfo

## pkgbinarymangler 116

=== debian/changelog ===
pkgbinarymangler (116) precise; urgency=low

  * pkgstriptranslations: change X-GNOME-Keywords to official Keywords
    (lp: #949849)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Mar 2012 18:59:11 +0100

pkgbinarymangler (115) precise; urgency=low

  [ Felix Geyer ]
  * pkgstriptranslations: Fix updating of md5sums in gnome2_help() and
    mallard_help(). (LP: #930757)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Feb 2012 07:42:22 +0100

pkgbinarymangler (114) precise; urgency=low

  [ Felix Geyer ]
  * pkgstripfiles, symlink_doc(): Don't create symlinks that would point to
    the same package. (LP: #923343)
  * test/run: Add test_doc_symlink_dependency_cycle() to make sure that
    pkgstripfiles works correctly when there is a dependency cycle inside
    a source package.

  [ Martin Pitt ]
  * pkgstripfiles: Always update md5sum even if advpng fails. Also call advpng
    if optipng fails, to at least get some optimization. Thanks Felix Geyer!
    (LP: #923407)
  * pkgstripfiles: Do not truncate changelogs when they are in a different
    directory pointed to a symlink. Add corresponding test case which mimics
    the perl hack that it applies to its doc files. (LP: #923430)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Feb 2012 06:36:35 +0100

pkgbinarymangler (113) precise; urgency=low

  * dh_translations: fixes previous issues harder (lp: #913085)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2012 17:06:18 +0100

pkgbinarymangler (112) precise; urgency=low

  * dh_translations: 
    - strip out quotes from the gettext domain (lp: #913085)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2012 10:23:28 +0100

pkgbinarymangler (111) precise; urgency=low

  * small improvements to dh_translations:
    - close the correct file in the configure.ac case
    - try using configure.in after configure.ac, those are still common
    - get the gettext domain from config.h if possible, the configure.ac can 
      use variables and reading from it would give the wrong value

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Jan 2012 15:20:36 +0100

pkgbinarymangler (110) precise; urgency=low

  [ Martin Pitt ]
  * pkgstripfiles: Log how many seconds the PNG optimization took.
  * pkgstripfiles: Skip PNG optimization for -doc packages. They sometimes
    take an inordinate amount of build time and are much less important as we
    do not ship them on CD images.

  [ Evan Broder ]
  * pkgstriptranslations: Use a copy of the code from dh_link to make sure
    pkgstriptranslations creates symlinks compliant with Debian
    Policy. (LP: #899520)
  * test/run: Adjust tests to expect relative symlinks.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Dec 2011 12:19:21 +0100

pkgbinarymangler (109) precise; urgency=low

  * striptranslations.blacklist: Fix libapt entries, these are regexps, not
    globs.
  * striptranslations.blacklist: Add update-notifier. (LP: #562900)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 30 Nov 2011 07:58:02 +0100

pkgbinarymangler (108) precise; urgency=low

  * test/run: Fix creation of local diversion "fake" symlink to also work when
    pkgbinarymangler <= 106 is installed (as on our buildds when we try to
    build >= 107 the first time).
  * debian/pkgbinarymangler.preinst: Remove obsolete conffile and diversion
    migration code. This was last relevant in edgy.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Nov 2011 10:21:32 +0100

pkgbinarymangler (107) precise; urgency=low

  * test/run, test_doc_symlink(): Simplify installation of "Makefile".
  * test/run, test_doc_symlink(): Introduce some test library binary packages
    to check handling of transitive dependencies.
  * pkgstripfiles, symlink_doc(): If the link destination target is itself a
    link, resolve it to directly link to the final target instead of not
    symlinking the file at all.
  * test/run: Add new test cases test_doc_symlink_parallel_{fixed,unlimited}()
    which run the symlink test with DEB_BUILD_OPTIONS "parallel=4" and
    "parallel" respectively. Run through them three times as this is a race
    condition and does not trigger every time. This reproduces LP #893826.
  * Add dh_builddeb: Wrapper around the debhelper command which filters out
    the "parallel" option from $DEB_BUILD_OPTIONS. We must not run dpkg-deb in
    parallel as this breaks a predictable doc symlink structure which we
    require for multi-arch. (LP: #893826)
  * debian/pkgbinarymangler.install: Install dh_builddeb wrapper.
  * debian/pkgbinarymangler.{preinst,postrm}: Set up diversion for
    dh_builddeb.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Nov 2011 10:00:54 +0100

pkgbinarymangler (106) precise; urgency=low

  * Move code for determining the location of the binary package control file,
    and its existence check into common, and simplify pkgmaintainermangler,
    pkgsanitychecks, and pkgstripfiles.
  * pkgstriptranslations: Stop iterating over all binary packages, just
    process the current one. Update an existing translation tarball if it
    already exists from a previous run. This greatly speeds up package builds
    with lots of binary packages. (LP: #890595) Also reorganize the code to
    put the different tasks into separate functions, so that it becomes
    easier to read. Drop the now obsolete stripping of XPI files.
  * With this version, haskell-dummy builds in finite time and succeeds.
    (LP: #890596)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Nov 2011 16:00:12 +0100

pkgbinarymangler (105) precise; urgency=low

  * pkgstriptranslations: Also strip X-GNOME-Keywords. Add corresponding test
    case.
  * dh_translations: Also check configure.ac for GETTEXT_DOMAIN. (LP: #786632)
  * pkgstripfiles: First symlink identical doc files, then truncate Debian
    changelogs. Otherwise truncated changelogs will never be identical due to
    the added "please see apt-get changelog <pkgname>" line. In oneiric and


=== debian/control ===
Source: pkgbinarymangler
Section: devel
Priority: extra
Build-Depends: debhelper (>= 7.0.50~),
               perl,
               dh-buildinfo,
               python3,
               fakeroot,
               optipng,
               advancecomp,
               imagemagick,
               intltool
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.2

Package: pkgbinarymangler
Architecture: all
Depends: ${misc:Depends},
         lockfile-progs,
         advancecomp,
         optipng
Description: strips translations and alters maintainers during build
 pkgbinarymangler consists of a dpkg-deb wrapper that calls the following
 helper applications while building a debian binary package:
 .
 pkgstriptranslations removes all *.mo files in /usr/share/locale from
 all package build directories. It is used to strip off gettext translations
 from generated binary packages, because translations are already shipped
 in the language packs.  Its behaviour (which is disabled by default) is
 configured in /etc/pkgbinarymangler/striptranslations.conf.
 .
 pkgmaintainermangler adjusts the maintainer field in binary packages to
 match a set of rules (including whitelists, mass renames by component,
 maintainer name, etc) defined in the pkgmaintainermangler configuration
 file at /etc/pkgbinarymangler/maintainermangler.conf.

Package: dh-translations
Architecture: all
Depends: ${misc:Depends},
         debhelper,
         intltool
Description: debhelper extension for translation support
 This package provides a debhelper extension to perform common translation
 related operations during package build:
 .
  * Try to build a current PO template.
 .
  * Remove inline translations from *.desktop, *.server, *.schemas, and
    *.policy files and replace them with a link to the gettext domain, so that
    strings in them will get translated at runtime from *.mo files. This allows
    language packs to ship updated translations.

## pkgbinarymangler 117

=== debian/changelog ===
pkgbinarymangler (117) quantal; urgency=low

  * pkgstripfiles: Remove buildinfo_<arch>.gz files as well. Update test/run
    accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Sep 2012 15:18:49 +0200

## pkgbinarymangler 118

=== debian/changelog ===
pkgbinarymangler (118) saucy; urgency=low

  * dh_translations: If ./CMakeLists.txt does not have the domain, check in
    po/CMakeLists.txt, too. (first half of LP: #1181187)
  * dh_translations: Accept more variations (whitespace, quotes or not) of
    setting GETTEXT_PACKAGE in cmake files. (second half of LP: #1181187)
  * Bump Standards-Version to 3.9.4, no changes necessary.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 May 2013 15:00:23 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                imagemagick,
                intltool
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: pkgbinarymangler
 Architecture: all

## pkgbinarymangler 121

=== test/icecream/Makefile ===
default:

install:
	# install mo files
	for DOMAIN in vanilla chocolate; do \
	    for f in po-$$DOMAIN/*.po; do \
	        D=$$DESTDIR/usr/share/locale/`basename $$f .po`/LC_MESSAGES/; \
	        install -d -m 755 $$D; \
	        msgfmt -o $$D/$$DOMAIN.mo $$f; \
	    done; \
	done

	install -D -m 600 foo%.png $$DESTDIR/usr/share/icecream/foo%.png
	ln -s foo%.png $$DESTDIR/usr/share/icecream/foolink.png
	install -D -m 644 notapng.png $$DESTDIR/usr/share/icecream/notapng.png

	install -d $$DESTDIR/usr/share/applications/ $$DESTDIR/usr/lib/bonobo/servers/ $$DESTDIR/usr/share/polkit-1/actions/ $$DESTDIR/usr/share/gconf/schemas
	install -m 644 data/*.desktop $$DESTDIR/usr/share/applications/
	install -m 644 data/*.server $$DESTDIR/usr/lib/bonobo/servers/
	install -m 644 data/*.policy $$DESTDIR/usr/share/polkit-1/actions/
	install -m 644 data/*.schemas $$DESTDIR/usr/share/gconf/schemas

clean:
	rm -f test

.PHONY: clean

=== test/icecream/po/Makefile ===
GETTEXT_PACKAGE=icecream

default:

$(GETTEXT_PACKAGE).pot:
	xgettext -o $(GETTEXT_PACKAGE).pot ../test.c -a

=== debian/changelog ===
pkgbinarymangler (121) trusty; urgency=medium

  * pkgstripfiles: Count path components for ../ expansion on symlinks.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Mar 2014 16:20:30 -0600

pkgbinarymangler (120) trusty; urgency=medium

  * pkgstripfiles: Fix escaping of % characters to also work with bash 4.3.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Mar 2014 08:40:33 +0100

pkgbinarymangler (119) trusty; urgency=medium

  * Use "dpkg-deb --fsys-tarfile" instead of "ar p" in tests to extract files,
    to stop depending on gzip compression. Fixes test suite failures/FTBFS in
    current trusty.
  * Bump Standards-Version to 3.9.5 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Jan 2014 10:28:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                imagemagick,
                intltool
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: pkgbinarymangler
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version:/ { s/^Version: //; p}')

# do not mangle ourselves, in case the previous version caused FTBFS
export NO_PKG_MANGLE=1

%:
	dh $*

override_dh_install:
	dh_install
	sed -i 's/#VERSION#/$(VERSION)/' debian/pkgbinarymangler/usr/bin/pkgstriptranslations
	mkdir -p debian/dh-translations/usr/share/man/man1/
	pod2man -c Debhelper -r "$(VERSION)" dh_translations debian/dh-translations/usr/share/man/man1/dh_translations.1

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	unset NO_PKG_MANGLE; test/run -v
endif

=== test/icecream/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with translations --parallel

override_dh_fixperms:
	dh_fixperms -X*.png

override_dh_install:
	dh_install
	dh_buildinfo

## pkgbinarymangler 121.14.04.1

=== debian/changelog ===
pkgbinarymangler (121.14.04.1) trusty-security; urgency=medium

  * pkgstripfiles: Skip symlinking identical documentation to not built
    packages, otherwise arch: any only builds may create symlinks which are
    not created when building arch: all and arch: any together. The mismatch
    between the symlinked and not symlinked files causes failure when trying
    to coinstall arch:any packages using multiarch.
    (LP: #1574351)

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Thu, 22 Jun 2023 13:01:12 -0300

## pkgbinarymangler 122

=== debian/changelog ===
pkgbinarymangler (122) wily; urgency=medium

  * test/run: Document build() method and clarify parameter name.
  * Add missing lockfile-progs build dependency.
  * Remove trailing whitespace in all files.
  * Stop failing nested package builds (packages calling dpkg-buildpackage for
    tests, etc.) on "inconsistent /CurrentlyBuilding file". This fixes FTBFS
    of debmake-doc, and also allows us to drop Ubuntu delta from some
    packages.
  * test/run: Fix PEP-8 issues.
  * test/run: Use modern assertions.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Sep 2015 09:22:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                optipng,
                advancecomp,
                imagemagick,
+               lockfile-progs,
                intltool
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.5

## pkgbinarymangler 129

=== debian/changelog ===
pkgbinarymangler (129) xenial; urgency=medium

  * Rebuild against the merged debhelper.
  * Don't lock on -dbgsym packages; debhelper 9.20160115ubuntu1 still calls
    pkgstripfiles on -dbgsym packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jan 2016 00:50:51 +0100

pkgbinarymangler (128) xenial; urgency=medium

  * pkgstripfiles (optimize_pngs): Honor whitespace in png file names.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Jan 2016 10:37:10 +0100

pkgbinarymangler (127) xenial; urgency=medium

  * pkgstripfiles (optimize_pngs): Fix quoting, remove debug messages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Jan 2016 23:50:39 +0100

pkgbinarymangler (125) xenial; urgency=medium

  * Allow dh_builddeb to run in parallel mode. Make sure that pkgstripfiles's
    symlink_doc is run in the right order.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Dec 2015 16:42:26 +0100

pkgbinarymangler (123) xenial; urgency=medium

  * Fix test failures, don't let dh_strip_nondeterminism touch the png files.
  * Avoid unittest warnings running the tests.
  * Parallelize png file optimizations.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Dec 2015 23:14:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                lockfile-progs,
                intltool
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: pkgbinarymangler
 Architecture: all

## pkgbinarymangler 129.16.04.0

=== debian/changelog ===
pkgbinarymangler (129.16.04.0) xenial; urgency=medium

  * striptranslations.blacklist: Add ubuntu-pro-client-l10n. (LP: #2037584)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Wed, 27 Sep 2023 11:49:44 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,32 @@
 %:
 	dh $*
 
+override_dh_auto_build:
+	dh_auto_build
+	rm -rf perl5
+	mkdir -p perl5/Ubuntu/PkgBinaryMangler
+	cp -p \
+	  /usr/share/perl5/Debian/Debhelper/Dh_Lib.pm \
+	  /usr/share/perl5/Debian/Debhelper/Dh_Getopt.pm \
+		perl5/Ubuntu/PkgBinaryMangler/.
+	sed -i 's/Debian::Debhelper::/Ubuntu::PkgBinaryMangler::/g' \
+		perl5/Ubuntu/PkgBinaryMangler/*.pm
+
 override_dh_install:
 	dh_install
 	sed -i 's/#VERSION#/$(VERSION)/' debian/pkgbinarymangler/usr/bin/pkgstriptranslations
 	mkdir -p debian/dh-translations/usr/share/man/man1/
 	pod2man -c Debhelper -r "$(VERSION)" dh_translations debian/dh-translations/usr/share/man/man1/dh_translations.1
+	mkdir -p debian/pkgbinarymangler/usr/share
+	cp -a perl5 debian/pkgbinarymangler/usr/share/.
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	unset NO_PKG_MANGLE; test/run -v
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf perl5
+	rm -f dh_builddeb.pkgbinarymangler
+	rm -f dpkg-deb.pkgbinarymangler

## pkgbinarymangler 129.16.04.1

=== debian/changelog ===
pkgbinarymangler (129.16.04.1) xenial-security; urgency=medium

  * pkgstripfiles: Skip symlinking identical documentation to not built
    packages, otherwise arch: any only builds may create symlinks which are
    not created when building arch: all and arch: any together. The mismatch
    between the symlinked and not symlinked files causes failure when trying
    to coinstall arch:any packages using multiarch.
    (LP: #1574351)

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Thu, 22 Jun 2023 12:54:37 -0300

## pkgbinarymangler 131

=== debian/changelog ===
pkgbinarymangler (131) yakkety; urgency=medium

  * Rebuild against current debhelper.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Oct 2016 08:40:53 +0200

pkgbinarymangler (130) yakkety; urgency=medium

  * pkgbinarymangler: Only accept X-Ubuntu-Use-Langpack: at the start of the
    line, to ignore commented-out lines.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 May 2016 08:18:59 +0200

## pkgbinarymangler 132~cloud0

=== debian/changelog ===
pkgbinarymangler (132~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 07 Feb 2018 11:34:14 +0000

pkgbinarymangler (132) bionic; urgency=medium

  * dh_translations:
    - Take into account alternative syntax in configure.ac, used in
      some packages, when grabbing translation domain (LP: #1688994).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 07 Feb 2018 11:10:00 +0100

## pkgbinarymangler 138

=== debian/changelog ===
pkgbinarymangler (138) bionic; urgency=medium

  * dh_builddeb: Don't lock for dbgsym packages; we don't act on them. Revert
    the previous upload, since we're now not processing dbgsym packages at
    all, and it was broken for automatic dbgsym packages which don't take this
    lock.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 20 Apr 2018 16:17:19 +0100

pkgbinarymangler (137) bionic; urgency=medium

  * Fix pkgstripfiles to not fail to clear the lock when processing dbgsym
    packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Apr 2018 21:16:40 -0700

pkgbinarymangler (136) bionic; urgency=medium

  * dh_translations: Add support for meson / ninja projects. (LP: #1751820)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 09 Apr 2018 17:23:47 +0100

pkgbinarymangler (135) bionic; urgency=medium

  [ Colin Watson ]
  * dh_builddeb: avoid using default TMPDIR because it might be used already by
    debian/rules (this fixes openshot-qt extra files in the final deb file)

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.1.3, move priority to optional
  * Move to compat level 11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Feb 2018 12:47:26 +0100

pkgbinarymangler (134) bionic; urgency=medium

  * Updated tests for the new dpkg which is generating files in the 
    .tar.xz format instead of .tar.gz

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Feb 2018 11:07:45 +0100

=== test/icecream/debian/control ===
Source: icecream
Section: utils
Priority: extra
Maintainer: Joe User <joe@example.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1

Package: vanilla
Architecture: all
Description: vanilla
 vanilla

Package: chocolate
Architecture: any
Description: chocolate
 chocolate

## pkgbinarymangler 138.18.04.0

=== debian/changelog ===
pkgbinarymangler (138.18.04.0) bionic; urgency=medium

  * pkgstripfiles: Serialize PNG optimization and changelog trucation using
    the lock already used for serializing creating symlinks for identical
    documentation files. (LP: #1782094)
  * pkgstripfiles: Skip symlinking identical documentation to not built
    packages, otherwise arch: any only builds may create symlinks which are
    not created when building arch: all and arch: any together. The mismatch
    between the symlinked and not symlinked files causes failure when trying
    to coinstall arch:any packages using multiarch.
    (LP: #1574351)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 17 Jul 2018 16:23:13 +0200

## pkgbinarymangler 138.18.04.1

=== debian/changelog ===
pkgbinarymangler (138.18.04.1) bionic-proposed; urgency=medium

  [ Gunnar Hjalmarsson ]
  * dh_translations:
    - Prevent domain confusion for Meson packages when a help-* domain
      is present (LP: #1762889).
    - Don't build help-*.pot. Those templates are used to build static
      localized XML pages, and we don't want to create LP templates and
      deal with exported LP translations for such pages anyway.
    - Allow the domain to be passed to dh_translations via an option in
      debian/rules.

  [ Didier Roche ]
  * dh_translations, fix meson being picked even if not used as the build
    system (causing FTBFS on n-m-applet):
    - detect if a ninja build directory was found, otherwise, discard meson
      findings and let other build systems be tested.
    - follow the same code logic for setting meson as preferred, but only
      if domain wasn't found, instead of unconditionally overriding.
    - still prefer po/Makefile as first source
    - let people override it with dh{domain}

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 08 Oct 2018 19:12:00 +0200

## pkgbinarymangler 138.18.04.2

=== debian/changelog ===
pkgbinarymangler (138.18.04.2) bionic; urgency=medium

  * striptranslations.blacklist: Add ubuntu-pro-client-l10n. (LP: #2037584)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Wed, 27 Sep 2023 11:49:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pkgbinarymangler
 Section: devel
-Priority: extra
-Build-Depends: debhelper (>= 7.0.50~),
+Priority: optional
+Build-Depends: debhelper (>= 11),
                perl,
+               libfile-which-perl,
                dh-buildinfo,
                python3,
                fakeroot,
@@ -12,7 +13,7 @@
                lockfile-progs,
                intltool
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 
 Package: pkgbinarymangler
 Architecture: all
@@ -39,7 +40,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          debhelper,
-         intltool
+         intltool,
+         jq,
+         libfile-which-perl
 Description: debhelper extension for translation support
  This package provides a debhelper extension to perform common translation
  related operations during package build:

## pkgbinarymangler 143

=== debian/changelog ===
pkgbinarymangler (143) cosmic; urgency=medium

  * Fix gnome-shell FTBFS due to inverse logic in meson build dir detection
    (LP: #1793476)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Sep 2018 15:13:34 +0200

pkgbinarymangler (142) cosmic; urgency=medium

  * dh_translations, fix meson being picked even if not used as the build
    system (causing FTBFS on n-m-applet):
    - detect if a ninja build directory was found, otherwise, discare meson
      findings and let other build systems being tested.
    - follow the same code logic for setting meson as preferred, but only
      if domain wasn't found, instead of unconditionally overriding.
    - still prefer po/Makefile as first source
    - let people override it with dh{domain}

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Sep 2018 08:26:55 +0200

pkgbinarymangler (141) cosmic; urgency=medium

  * pkgstripfiles: Serialize PNG optimization and changelog trucation using
    the lock already used for serializing creating symlinks for identical
    documentation files. (LP: #1782094)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 17 Jul 2018 10:03:52 +0200

pkgbinarymangler (140) cosmic; urgency=medium

  * pkgstripfiles: Skip symlinking identical documentation to not built
    packages, otherwise arch: any only builds may create symlinks which are
    not created when building arch: all and arch: any together. The mismatch
    between the symlinked and not symlinked files causes failure when trying
    to coinstall arch:any packages using multiarch.
    (LP: #1574351)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 13 Jul 2018 21:54:23 +0200

pkgbinarymangler (139) cosmic; urgency=medium

  * dh_translations:
    - Prevent domain confusion for Meson packages when a help-* domain
      is present (LP: #1762889).
    - Don't build help-*.pot. Those templates are used to build static
      localized XML pages, and we don't want to create LP templates and
      deal with exported LP translations for such pages anyway.
    - Allow the domain to be passed to dh_translations via an option in
      debian/rules.
    - Strip also Icon and Keywords translations in .desktop files.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 21 May 2018 12:51:24 +0100

## pkgbinarymangler 144

=== debian/changelog ===
pkgbinarymangler (144) disco; urgency=medium

  * Add Provides: dh-sequence-translations
  * Use $(DEB_VERSION) from pkg-info.mk instead of parsing dpkg-parsechangelog
  * Adapt dh_translations to meson 0.49 changing 'name' property
    to 'descriptive_name'

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 05 Feb 2019 10:05:37 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
-
-VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version:/ { s/^Version: //; p}')
+include /usr/share/dpkg/pkg-info.mk
 
 # do not mangle ourselves, in case the previous version caused FTBFS
 export NO_PKG_MANGLE=1
@@ -21,9 +20,9 @@
 
 override_dh_install:
 	dh_install
-	sed -i 's/#VERSION#/$(VERSION)/' debian/pkgbinarymangler/usr/bin/pkgstriptranslations
+	sed -i 's/#VERSION#/$(DEB_VERSION)/' debian/pkgbinarymangler/usr/bin/pkgstriptranslations
 	mkdir -p debian/dh-translations/usr/share/man/man1/
-	pod2man -c Debhelper -r "$(VERSION)" dh_translations debian/dh-translations/usr/share/man/man1/dh_translations.1
+	pod2man -c Debhelper -r "$(DEB_VERSION)" dh_translations debian/dh-translations/usr/share/man/man1/dh_translations.1
 	mkdir -p debian/pkgbinarymangler/usr/share
 	cp -a perl5 debian/pkgbinarymangler/usr/share/.

## pkgbinarymangler 144.20.04.0

=== debian/changelog ===
pkgbinarymangler (144.20.04.0) focal; urgency=medium

  * striptranslations.blacklist: Add ubuntu-pro-client-l10n. (LP: #2037584)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Wed, 27 Sep 2023 11:49:44 -0400

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,7 @@
          intltool,
          jq,
          libfile-which-perl
+Provides: dh-sequence-translations
 Description: debhelper extension for translation support
  This package provides a debhelper extension to perform common translation
  related operations during package build:

=== test/icecream/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with translations --parallel

override_dh_fixperms:
	dh_fixperms -X.png

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -X.png

override_dh_install:
	dh_install
	dh_buildinfo

## pkgbinarymangler 146

=== debian/changelog ===
pkgbinarymangler (146) groovy; urgency=medium

  [ Colin Watson ]
  * Use debhelper Dh_Lib instead of hardcoding our version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jun 2020 12:53:46 +0200

pkgbinarymangler (145) groovy; urgency=medium

  * No change rebuild against debhelper 13.1 with fixed Dh_Lib.pm file
    (Dh_Lib.pm and Dh_GetOpt.pm are copied and sed-ed during build)
  * Bump compat level to 13
  * Bump std-version to 4.5.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jun 2020 12:37:18 +0200

## pkgbinarymangler 147

=== debian/changelog ===
pkgbinarymangler (147) hirsute; urgency=medium

  * Break builds that ship non-executable initramfs-tools hooks.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Mar 2021 10:43:41 +0000

## pkgbinarymangler 148

=== debian/changelog ===
pkgbinarymangler (148) impish; urgency=medium

  * Use dpkg --ctrl-tarfile to extract control files to avoid hardcoding the
    compression used to compress them and thus fix the tests after the switch
    zstd by default.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 11 Aug 2021 15:16:40 +1200

## pkgbinarymangler 149

=== debian/changelog ===
pkgbinarymangler (149) jammy; urgency=medium

  * Replace deprecated `which` usage with command -v.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 02 Nov 2021 13:50:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pkgbinarymangler
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                perl,
                libfile-which-perl,
                dh-buildinfo,
@@ -13,7 +13,7 @@
                lockfile-progs,
                intltool
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 
 Package: pkgbinarymangler
 Architecture: all

## pkgbinarymangler 149.22.04.0

=== debian/changelog ===
pkgbinarymangler (149.22.04.0) jammy; urgency=medium

  * striptranslations.blacklist: Add ubuntu-pro-client-l10n. (LP: #2037584)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Wed, 27 Sep 2023 11:49:44 -0400

=== test/icecream/debian/changelog ===
icecream (12) testsuite; urgency=low

  * release 12

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Jul 2010 15:15:58 +0200

icecream (11) testsuite; urgency=low

  * release 11

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 May 2010 15:15:58 +0200

icecream (10) testsuite; urgency=low

  * release 10

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Apr 2010 15:15:58 +0200

icecream (9) testsuite; urgency=low

  * release 9

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Mar 2010 15:15:58 +0100

icecream (8) testsuite; urgency=low

  * release 8

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Feb 2010 15:15:58 +0100

icecream (7) testsuite; urgency=low

  * release 7

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Jan 2010 15:15:58 +0100

icecream (6) testsuite; urgency=low

  * release 6

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Dec 2009 15:15:58 +0100

icecream (5) testsuite; urgency=low

  * release 5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Nov 2009 15:15:58 +0100

icecream (4) testsuite; urgency=low

  * release 4

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Oct 2009 15:15:58 +0100

icecream (3) testsuite; urgency=low

  * release 3

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Sep 2009 15:15:58 +0200

icecream (2) testsuite; urgency=low

  * release 2

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Aug 2009 15:15:58 +0200

## pkgbinarymangler 152

=== debian/changelog ===
pkgbinarymangler (152) lunar; urgency=medium

  [ Shengjing Zhu ]
  * pkgstripfiles: only strip debian changelog if debhelper hasn't done so.
    debhelper >= 13.10 strips debian changelog by default (LP: #2002871).

  [ Gunnar Hjalmarsson ]
  * Add VCS fields

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Mon, 20 Feb 2023 16:56:48 +0800

pkgbinarymangler (151) lunar; urgency=medium

  * dh_translations:
    - Drop the qx_meson_cmd function and use perl’s builtin qx instead
      (see https://bugs.debian.org/1028963 for the background).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 20 Jan 2023 00:11:17 +0100

pkgbinarymangler (150) lunar; urgency=medium

  * dh_translations:
    - After the latest debhelper change, the qx_cmd() function from
      Dh_Lib.pm does not work in the context in which it's used in
      dh_translations. So the previous qx_cmd() function has been
      copied into dh_translations under the name qx_meson_cmd()
      (LP: #2002845).
  * Failing tests disabled in test/run:
    - test_debian_changelog_truncation
    - test_native_changelog_truncation
    - test_ppa_debian_changelog

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 14 Jan 2023 10:59:26 +0100

## pkgbinarymangler 152.23.04.0

=== debian/changelog ===
pkgbinarymangler (152.23.04.0) lunar; urgency=medium

  * striptranslations.blacklist: Add ubuntu-pro-client-l10n. (LP: #2037584)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Wed, 27 Sep 2023 11:49:44 -0400

## pkgbinarymangler 153

=== debian/changelog ===
pkgbinarymangler (153) mantic; urgency=medium

  * Generate POT files with GNOME’s version of metainfo.its
    (LP: #1927149)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 24 May 2023 16:42:26 +0200

## pkgbinarymangler 154

=== debian/changelog ===
pkgbinarymangler (154) mantic; urgency=medium

  [ Grant Orndorff ]
  * striptranslations.blacklist: add ubuntu-pro-client-l10n, it will ship
    ubuntu-pro-client translations instead of langpacks

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Sep 2023 16:43:29 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
                intltool
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 4.5.0
+VCS-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/pkgbinarymangler/+ref/master
+VCS-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/pkgbinarymangler
 
 Package: pkgbinarymangler
 Architecture: all

=== test/icecream/debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+
 %:
 	dh $@ --with translations --parallel

## pkgbinarymangler 156

=== debian/changelog ===
pkgbinarymangler (156) plucky; urgency=medium

  * Remove handling and tests for /usr/share/doc/$PKG/buildinfo.gz files as
    dh-buildinfo is now a noop.
  * Do not depend on or invoke dh-buildinfo in test package.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 16 Dec 2024 11:06:07 +0100

pkgbinarymangler (155) plucky; urgency=medium

  * dh-translations: exclude meson-private when searching for build.ninja
    (lp: #2083303)
  * striptranslations.blacklist:
    - Add libwebkitgtk binary packages, the package builds several
      variants with different translations domain but the launchpad importer
      isn't able to tell them apart since they have the same template
      filename. New versions are also uploaded as a security update which
      could change the translation domain and invalid langpacks.
    - Don't strip the gnome-initial-setup translations. The initial config
      wizard should work in any language and not depend on the installed
      languages to be able to present a localized interface.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Dec 2024 12:32:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Build-Depends: debhelper-compat (= 13),
                perl,
                libfile-which-perl,
-               dh-buildinfo,
                python3,
                fakeroot,
                optipng,

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# do not mangle ourselves, in case the previous version caused FTBFS
export NO_PKG_MANGLE=1

%:
	dh $*

override_dh_install:
	dh_install
	sed -i 's/#VERSION#/$(DEB_VERSION)/' debian/pkgbinarymangler/usr/bin/pkgstriptranslations
	mkdir -p debian/dh-translations/usr/share/man/man1/
	pod2man -c Debhelper -r "$(DEB_VERSION)" dh_translations debian/dh-translations/usr/share/man/man1/dh_translations.1

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	unset NO_PKG_MANGLE; test/run -v
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f dh_builddeb.pkgbinarymangler
	rm -f dpkg-deb.pkgbinarymangler

=== test/icecream/debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 
 override_dh_install:
 	dh_install
-	dh_buildinfo

## pkgbinarymangler 156build1

=== debian/changelog ===
pkgbinarymangler (156build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:45:27 +0100
